<?php
/**
*	Author: Elime;
*	ICQ: 618878;
*	E-mail: elime4@gmail.com;
*/

require '../system/core.php';


/* Проверка прав доступа */
if(!$login) message('Ошибка авторизации!', '/panel/login.php');
if(!check_right($user['id'], 10, $db)) message('Недостаточно прав!', '/panel/index.php');


/* Шапка файла */
$content = '<?xml version="1.0" encoding="UTF-8"?>
<urlset xmlns="http://www.sitemaps.org/schemas/sitemap/0.9">';


/* Запрашиваем инфу о категориях */
$category = $db->query("SELECT * FROM `categories`");
if($db->num($category) > 0)
{
	/* В цикле добавляем информацию о категориях */
	while($result = $db->fetch($category))
	{
		$content .= '
	<url>
		<loc>'.URL.'/'.$result['translit'].'/</loc>
		<priority>0.8</priority>
	</url>';
	}
}


/* Запрашиваем инфу о файлах */
$file = $db->query("SELECT * FROM `data`");
if($db->num($file) > 0)
{
	/* В цикле добавляем информацию о файлах */
	while($result = $db->fetch($file))
	{
		$content .= '
	<url>
		<loc>'.URL.'/'.$result['translit'].'.html</loc>
		<priority>0.7</priority>
	</url>';
	}
}

/* Конец файла */
$content .= '
</urlset>';

/* Открываем файл */
$fp = fopen(ROOT.'/sitemap.xml', 'w+');

/* Перезаписываем информацию */
$test = fwrite($fp, $content);

/* Закрываем файл */
fclose($fp);

/* Выводим сообщение */
message('Файл sitemap.xml успешно обновлен!', '/panel/index.php');
?>