<?php
/**
*	Author: Elime;
*	ICQ: 618878;
*	E-mail: elime4@gmail.com;
*/

require '../system/core.php';


/* Проверка прав доступа */
if(!$login) message('Ошибка авторизации!', '/panel/login.php');
if(!check_right($user['id'], 2, $db)) message('Недостаточно прав!', '/panel/index.php');


/* Если введены данные */
if(isset($_POST['name']))
{

	/* Устанавливаем значения для полей */
	$name = in($_POST['name']);
	$translit = in(translit($name));
	$about = '';
	$description = '';
	$keywords = '';

	
	/* Если имя пустое, выходим */
	if(empty($name))
	{
		message('Введите название категории!');
	}


	/* Проверяем необязательные поля */
	if(isset($_POST['description']))
	{
		$description = in($_POST['description']);
	}
	if(isset($_POST['keywords']))
	{
		$keywords = in($_POST['keywords']);
	}
	if(isset($_POST['about']))
	{
		$about = in($_POST['about']);
	}
	
	
	/* Проверяем длину полей */
	if(mb_strlen($name, 'utf-8') > 100)
	{
		message('Название категории не может быть больше 100 символов!');
	}
	if(mb_strlen($description, 'utf-8') > 255)
	{
		message('Описание категории не может быть больше 255 символов!');
	}
	if(mb_strlen($keywords, 'utf-8') > 255)
	{
		message('Ключевые слова для категории не могут быть больше 255 символов!');
	}
	if(mb_strlen($about, 'utf-8') > 200)
	{
		message('Описание для категории не может быть больше 200 символов!');
	}


	/* Проверяем существование категории с таким именем */
	if(file_exists(ROOT.'/files/'.$translit))
	{
		message('Категория с таким именем уже существует!');
	}

	
	/* Создаем категорию */
	if(!mkdir(ROOT.'/files/'.$translit, 0777))
	{
		message('Произошла ошибка при создании категории!');
	}
	chmod(ROOT.'/files/'.$translit, 0777);
	
	/* Записываем информацию в БД */
	$db->query("INSERT INTO `categories` SET `name`='".$name."', `translit`='".$translit."',  `about`='".$about."', `description`='".$description."', `keywords`='".$keywords."'");
	
	
	/* Записываем в логи кто создал категорию */
	$action = $user['login'].' создал новую категорию: "'.$name.'".';
	$db->query("INSERT INTO `users_log` SET `user_id`='".$user['id']."', `action`='".in($action)."', `time`='".time()."'");
	
	
	/* Выводим сообщение */
	message('Категория успешно создана!', '/panel/index.php');
}


/* Выводим страницу */
$data['title'] = 'Создать категорию';
$tpl->display('panel/add_cat', $data);
?>